<div class="py-4">
    <p class="text-xl">Mise à jour un topic</p>
</div>
<app-flat-box>
    <form [formGroup]="topicUpdateForm" class="flex flex-col gap-4">
        <div class="flex items-center gap-2">
            <label for="title">Titre : </label>
            <app-text-input
                id="title"
                [type]="'text'"
                [formControlName]="'title'"
                [placeholder]="'Titre du topic'"
                [isError]="false"
                [guestForm]="topicUpdateForm"
            />
        </div>
        <div class="flex items-center gap-2">
            <label for="description">Description : </label>
            <textarea
                id="description"
                formControlName="description"
                placeholder="Description du topic"
                class="border border-gray-300 rounded-md p-2"
            ></textarea>
        </div>
        <div>
            <app-main-button
                [label]="'Mettre à jour'"
                [isDisabled]="false"
                [isLoading]="false"
                (onClick)="onSubmit()"
            />
        </div>
    </form>
    @if (error !== undefined) {
        <p class="text-red-500 font-semibold mt-4">{{ error }}</p>
    }
</app-flat-box>